/* 外層容器 */

.lucky-draw-container {
  width: 100%;
  max-width: 1580px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.lucky-draw-right {
    width: 100%;
    display: flex;
    justify-content: center;
    margin: 10px auto;
}

.draw-count-text {
    margin-top: 20px;
    margin-bottom: 20px;
    font-size: 1.2em;
    font-weight: bold;
    text-align: center;
}


.wheel-container {
  position: relative;
  width: 400px;
  height: 400px;
}

.wheel-wrapper {
  width: 100%;
  height: 100%;
}

.wheel {
  width: 100%;
  transition: transform 5s cubic-bezier(0.33, 1, 0.68, 1);
  z-index: 1;
}

.wheel img {
  width: 100%;
}

.pointer {
  width: 0;
  height: 0;
  border-top: 20px solid transparent;
  border-bottom: 20px solid transparent;
  border-right: 40px solid rgb(0, 0, 0);
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  z-index: 10;
}

.button {
  display: block;
  width: 50%;
  max-width: 90%;
  line-height: 2.6;
  font-size: 30px;
  font-weight: 800;
  letter-spacing: .05em;
  margin: 20px auto;
  border-radius: 100px;
  color: #f6ff00;
  cursor: pointer;
  outline: none;
}

.button.disable {
  border: none;
  background: linear-gradient(to bottom, #ffffff 0%, #dedede 60%, #d5d5d5 85%, #d5d5d5 100%);
  border: 2px solid #bcbcbc;
  color: #fff;
  box-shadow: unset;
  cursor: unset;
}

.button:hover {
  filter: brightness(110%);
}
.button.disable:hover {
  filter: unset;
}


@media (max-width: 998px) {

  .lucky-draw-right {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }

  .wheel-container {
    position: relative;
    width: 300px;
    height: 300px;
    margin: 0 auto;
  }

  .wheel {
    position: static;
    max-width: 300px;
    width: 100%;
    height: auto;
    transform-origin: center center;
  }

  .pointer {
    position: absolute;
    top: 50%;
    right: -10px;
    transform: translateY(-50%);
  }

  .button, .button.disable {
    font-size: 24px;
    width: 90%;
  }

}

/*-----------Pad device-----------*/

@media only screen and (min-width: 481px) and (max-width: 1024px) {

  .button-sign img {
    width: 90%;
  }
}

/*-----------mobile device-----------*/

@media only screen and (max-width: 480px) {

  .button-sign img {
    width: 90%;
  }
}